%define pypi_name AnyQt
%define pkg_name anyqt

Name:           python-%{pkg_name}
Version:        0.2.0
Release:        %mkrel 2
Summary:        PyQt4/PyQt5 compatibility layer
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/AnyQt/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
PyQt/PySide compatibility layer.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildArch:      noarch

%description -n python3-%{pkg_name}
PyQt/PySide compatibility layer.

%prep
%setup -q -n AnyQt-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pkg_name} -f %{pyproject_files}


%changelog
* Fri Dec 08 2023 papoteur <papoteur> 0.2.0-2.mga10
+ Revision: 2015815
- rebuild for python 3.12

* Sun Oct 22 2023 papoteur <papoteur> 0.2.0-1.mga10
+ Revision: 2000061
- new 0.2.0

* Mon Apr 04 2022 guillomovitch <guillomovitch> 0.1.0-1.mga9
+ Revision: 1843858
- new version 0.1.0

* Wed Mar 23 2022 umeabot <umeabot> 0.0.14-2.mga9
+ Revision: 1823981
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.0.14-1.mga9
+ Revision: 1785808
- version 0.0.14
- fixed Source0
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.0.11-1.mga9
+ Revision: 1705540
- new version 0.0.11

* Thu Jul 23 2020 ovitters <ovitters> 0.0.10-4.mga8
+ Revision: 1608253
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.0.10-3.mga8
+ Revision: 1533677
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.0.10-2.mga8
+ Revision: 1444890
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.0.10-1.mga7
+ Revision: 1380007
- imported package python-anyqt

